Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8531)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                  ***  MODULE icethd   ***
-   !!  LIM-3 :   ice thermodynamic
+   !!   sea-ice : master routine for thermodynamics
    !!======================================================================
    !! History :  LIM  ! 2000-01 (M.A. Morales Maqueda, H. Goosse, T. Fichefet) LIM-1
@@ -15,32 +15,32 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_thd       : thermodynamic of sea ice
-   !!   ice_thd_init  : initialisation of sea-ice thermodynamic
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_thd       : thermodynamics of sea ice
+   !!   ice_thd_init  : initialisation of sea-ice thermodynamics
    !!----------------------------------------------------------------------
    USE phycst         ! physical constants
    USE dom_oce        ! ocean space and time domain variables
-   USE ice            ! sea-ice variables
+   USE ice            ! sea-ice: variables
 !!gm list trop longue ==>>> why not passage en argument d'appel ?
    USE sbc_oce , ONLY : sss_m, sst_m, e3t_m, utau, vtau, ssu_m, ssv_m, frq_m, qns_tot, qsr_tot, sprecip, ln_cpl
    USE sbc_ice , ONLY : qsr_oce, qns_oce, qemp_oce, qsr_ice, qns_ice, dqns_ice, evap_ice, qprec_ice, qevap_ice, &
       &                 fr1_i0, fr2_i0
-   USE ice1D          ! thermodynamic sea-ice variables
-   USE icethd_zdf     ! vertical diffusion
-   USE icethd_dh      ! ice-snow growth and melt
-   USE icethd_da      ! lateral melting
-   USE icethd_sal     ! ice salinity
-   USE icethd_ent     ! ice enthalpy redistribution
-   USE icethd_do      ! lateral accretion
-   USE iceitd         ! remapping thickness distribution
-   USE icetab         ! 1D <==> 2D transformation
-   USE icevar         !
-   USE icectl         ! control print
+   USE ice1D          ! sea-ice: thermodynamics variables
+   USE icethd_zdf     ! sea-ice: vertical heat diffusion
+   USE icethd_dh      ! sea-ice: ice-snow growth and melt
+   USE icethd_da      ! sea-ice: lateral melting
+   USE icethd_sal     ! sea-ice: salinity
+   USE icethd_ent     ! sea-ice: enthalpy redistribution
+   USE icethd_do      ! sea-ice: growth in open water
+   USE iceitd         ! sea-ice: remapping thickness distribution
+   USE icetab         ! sea-ice: 1D <==> 2D transformation
+   USE icevar         ! sea-ice: operations
+   USE icectl         ! sea-ice: control print
    !
    USE in_out_manager ! I/O manager
-   USE lbclnk         ! lateral boundary condition - MPP links
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE lbclnk         ! lateral boundary conditions (or mpp links)
    USE timing         ! Timing
 
@@ -84,4 +84,6 @@
       !!             - call ice_thd_da   for lateral ice melt
       !!             - back to the geographic grid
+      !!             - call ice_thd_rem  for remapping thickness distribution
+      !!             - call ice_thd_do   for ice growth in leads
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) :: kt    ! number of iteration
@@ -578,5 +580,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Dummy module          NO  LIM3 sea-ice model
+   !!   Default option         Dummy module          NO  ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
